package com.srm.bpm.facde.oa;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p></p>
 *
 * @author yuhai
 * @version 1.0
 * @since JDK 1.8
 */
@Data
public class ReceiveRequestInfoByJsonDto implements Serializable {

    private String syscode;
    private String flowid;
    private String requestname;
    private String workflowcode;
    private String workflowname;
    private String nodename;
    private String pcurl;
    private String appurl;
    private String isremark; //0 待办 2 已办 4办结 8：抄送（待阅）-1：删除
    private String viewtype;  //0 未读 1 已读
    private String creator; //创建人
    private String createdatetime; //创建日期
    private String receiver; //接收人
    private String receivedatetime;//接收日期时间
    private String receivets;//毫秒级时间戳
}
