package com.srm.bpm.facde.oa.common;

import java.util.Map;

/**
 *
 *<p>Title:SdkClient</p>
 *<p>Description:客户端调用工具类</p>
 *<p>Company:京泉华技术股份有限公司</p>
 * @author zhangzhe
 * @date 2021年04月23日
 */
public class HttpClient {


	/**
	 *
	 * @Title:get
	 * @Description:get请求
	 * @param:@param url
	 * @param:@param headMap
	 * @param:@return
	 * @param:@throws Exception
	 * @return:String
	 * @throws
	 *
	 */
	public static String get(String url,Map<String, String> headMap) throws Exception{
		return HttpClientPoolUtil.get(url, headMap);
	}

	/**
	 *
	 * @Title:post
	 * @Description:post请求
	 * @param:@param url
	 * @param:@param data JSON序列化后的参数 JSON.toJSONString(xxx)
	 * @param:@param headMap
	 * @param:@return
	 * @param:@throws Exception
	 * @return:String
	 * @throws
	 *
	 */
	public static String post(String url,String data,Map<String, String> headMap) throws Exception{
		return HttpClientPoolUtil.post(url, data, headMap);
	}


}

